$!-----------------------------------------------------------------------------
$! BUILD_ACMEPORT.COM
$!
$! P1 == LINK or BUILD or empty (builds)
$!
$! 23-APR-2017  MGD  initial
$!-----------------------------------------------------------------------------
$!
$ on controly then exit 44
$!
$ write sys$output ""
$ write sys$output "Building ""ACMEPORT""" +-
                   " for ""''F$GETSYI("ARCH_NAME")'"" architecture"
$!
$ arch_name = f$edit(f$getsyi("arch_name"),"upcase")
$ if arch_name .eqs. "ALPHA" then arch_name = "AXP"
$!
$ p1 = f$edit(p1,"upcase")
$!
$ defines = "/define=(__VMS_VER=70000000,__CRTL_VER=70000000,HAVE_CONFIG_H)"
$ if f$trnlnm("WCME_SOCKETPAIR") .nes. "" then -
     defines = defines - ")" + ",WCME_SOCKETPAIR)"
$ includes = " /include=(openssl:,[])"
$ warnings=  " /warning=(disable=(preoptw,implicitfunc,addrconstext," +-
             "unknownpragma,longextern))"
$!
$ cc_options = "/decc /debug /float=ieee /ieee=denorm " +-
               "/stand=relaxed_ansi /prefix=all" +-
               includes + defines + warnings
$!
$ if p1 .eqs. "LIST"
$ then
$    cc_options = cc_options + "/list/machine"
$    p1 = ""
$ endif
$!
$ if f$search("obj_''arch_name'.dir") .eqs. "" -
     then create /dir [.obj_'arch_name']
$ object_dir = "[.obj_''arch_name']"
$!
$ if p1 .eqs. "" .or. p1 .eqs. "BUILD" .or. p1 .eqs. "COMPILE"
$ then
$    set noon
$    set verify
$    cc 'cc_options' /object='object_dir' acctproc
$    cc 'cc_options' /object='object_dir' base64
$    cc 'cc_options' /object='object_dir' certproc
$    cc 'cc_options' /object='object_dir' chngproc
$    cc 'cc_options' /object='object_dir' compat-setresgid
$    cc 'cc_options' /object='object_dir' compat-setresuid
$    cc 'cc_options' /object='object_dir' dbg
$    cc 'cc_options' /object='object_dir' dnsproc
$    cc 'cc_options' /object='object_dir' fileproc
$    cc 'cc_options' /object='object_dir' http
$    cc 'cc_options' /object='object_dir' json
$    cc 'cc_options' /object='object_dir' jsmn
$    cc 'cc_options' /object='object_dir' keyproc
$    cc 'cc_options' /object='object_dir' main
$    cc 'cc_options' /object='object_dir' netproc
$    cc 'cc_options' /object='object_dir' revokeproc
$    cc 'cc_options' /object='object_dir' rsa
$    cc 'cc_options' /object='object_dir' sandbox-null
$    cc 'cc_options' /object='object_dir' util
$    cc 'cc_options' /object='object_dir' util-portable
$!   supplementary modules for this VMS port
$    cc 'cc_options' /object='object_dir' a_time_tm
$    cc 'cc_options' /object='object_dir' arc4random
$    cc 'cc_options' /object='object_dir' asprintf
$    cc 'cc_options' /object='object_dir' getline
$    cc 'cc_options' /object='object_dir' vms
$!   'f$verify(0)
$    set on
$ endif
$!
$ purge /nolog 'object_dir'
$!
$!-----------------------------------------------------------------------------
